/*
 * IcmpDebug.c
 *
 * Copyright (c) Verax Systems.
 * All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
/**
 * @file IcmpDebug.c
 */

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "IcmpDebug.h"


/*
 * Write message to Windows debug output.
 */
void IcmpOutputDebugString(const char *format, ...)
{
   va_list parameters;
   char *buffer;
   int len;
   
   va_start(parameters, format); 
   len = _vscprintf(format, parameters);
   buffer = malloc(len + 1);
   _vsnprintf(buffer, len + 1, format, parameters);
   OutputDebugString(buffer);
   free(buffer);
   va_end(parameters);
   return;
} /* IcmpOutputDebugString */
